// file : introState.h

#ifndef _engine_core_states_intro_h_
#define _engine_core_states_intro_h_

#include "base_state.h"

namespace Core {
	namespace States {

		class cIntro : public cBase_state
		{

		public:
			cIntro(void* _manager, glm::vec2 _clientSize) : cBase_state(_manager, "intro_state", _clientSize) { initialize(); }
			void initialize();
			void shutdown();

			void pause();
			void resume();

			void handleEvents();
			void update(float _deltaTime);
			void drawText();
			void draw();

		private:
			GLuint vao;
			GLuint vbo;
			GLuint texID;
		};

	}
}

#endif//_engine_core_states_intro_h_
