// file : win.cpp

#include "../../stdafx.h"
#include "win.h"
#include "../stateManager.h"

using namespace Core::States;


void cWin::initialize()
{
	entryFont.initialize("verdana.ttf", 12, clientSize);
	titleFont.initialize("Expansiva bold.otf", 24, clientSize);

}

void cWin::shutdown()
{}

void cWin::pause()
{}

void cWin::resume()
{}

void cWin::handleEvents()
{}

void cWin::update(float deltaTime)
{}

void cWin::drawText()
{
	POINT cursorPos;
	::GetCursorPos(&cursorPos);
	::ScreenToClient(pCore->input.getFocusWindowHandle(), &cursorPos);
	// convert to bottom left (0, 0)
	cursorPos.y = LONG(clientSize.y - cursorPos.y);

	glm::vec3 colorDefault = glm::vec3(1.0, 1.0, 1.0);
	glm::vec3 colorHover = glm::vec3(1.0, 1.0, 0.0);
	
	//static_cast<Core::cStateManager*>(pManager)->

	// ------------------- Game Menu -------------------------
	titleFont.enableState(pCore->useShader("text"));
	titleFont.setCaretPos(190, 400);

	char message[256];
	sprintf_s(message, "%s wins game\nTime : %s", winnerName, winningTime);
	titleFont.draw(message);
	titleFont.disableState();

	entryFont.enableState(pCore->useShader("text"));
	entryFont.setCaretPos(326, 50);
	entryFont.draw("press escape to restart");
	entryFont.disableState();
}


void cWin::draw()
{}
