// file : ball.h

#ifndef _engine_game_ball_h_
#define _engine_game_ball_h_

namespace Game
{

	class cBall
	{
	public:
		cBall();

		void reset(float _sign);
		int update(float _deltaTime);
		void respond( float _rotation, float _fieldSign);
		void draw();

		glm::vec2 getPosition() { return position + glm::vec2(0.03f, 0.03f); } // todo: ah...here it is...that funky offset
		glm::vec2 getVelocity() { return velocity; }
		
	private:
		glm::vec2 position;
		glm::vec2 velocity;

		GLuint vao;
		GLuint vbo;

		glm::vec4 coreColor;
		glm::vec4 bumpColor;
		float colorScalar;
	};

}

#endif//_engine_game_ball_h_
