// file : scores.cpp

#include "../../stdafx.h"
#include "scores.h"
#include "../stateManager.h"

using namespace Core::States;


void cScores::initialize()
{
	entryFont.initialize("verdana.ttf", 12, clientSize);
	titleFont.initialize("Expansiva bold.otf", 24, clientSize);

	/*rectPlay = { 320, 390, 480, 432 };
	rectScores = { 190, 310, 610, 352 };
	rectQuit = { 330, 230, 470, 272 };*/
}

void cScores::shutdown()
{}

void cScores::pause()
{}

void cScores::resume()
{}

void cScores::handleEvents()
{}

void cScores::update(float deltaTime)
{}

void cScores::drawText()
{
	POINT cursorPos;
	::GetCursorPos(&cursorPos);
	::ScreenToClient(pCore->input.getFocusWindowHandle(), &cursorPos);
	// convert to bottom left (0, 0)
	cursorPos.y = LONG(clientSize.y - cursorPos.y);

	glm::vec3 colorDefault = glm::vec3(1.0, 1.0, 1.0);
	glm::vec3 colorHover = glm::vec3(1.0, 1.0, 0.0);


	// ------------------- Game Menu -------------------------
	titleFont.enableState(pCore->useShader("text"));
	titleFont.setCaretPos(250, 400);
	titleFont.draw("scores");
	titleFont.disableState();

	entryFont.enableState(pCore->useShader("text"));
	entryFont.setCaretPos(330, 50);
	entryFont.draw("press escape to exit");
	entryFont.disableState();

	/*
	// Play --------------------------------------------------
	menuFont.setCursorPos(_rectPlay.left, _rectPlay.top);
	if (::PtInRect(&_rectPlay, cursorPos))
	{
		menuFont.draw("Play", colorHover);
		if (pCore->input.action[Core::Input::eAction::select] == Core::Input::eKeyState::clicked)
			static_cast<Core::cStateManager*>(pManager)->handleEvents(Core::eStateAction::play);
	}
	else
		menuFont.draw("Play");

	// High Scores -------------------------------------------
	menuFont.setCursorPos(_rectScores.left, _rectScores.top);
	if (::PtInRect(&_rectScores, cursorPos))
		menuFont.draw("High Scores", colorHover);
	else
		menuFont.draw("High Scores");

	// Quit --------------------------------------------------
	menuFont.setCursorPos(_rectQuit.left, _rectQuit.top);
	if (::PtInRect(&_rectQuit, cursorPos))
	{
		menuFont.draw("Quit", colorHover);
		if (pCore->input.action[Core::Input::eAction::select] == Core::Input::eKeyState::clicked)
		{
			if (MessageBox(nullptr, L"Are you sure you want to quit?", L"Serious?", MB_YESNO) == IDYES)
				PostQuitMessage(0);
		}
	}
	else
		menuFont.draw("Quit");

	menuFont.disableState();
	*/
}


void cScores::draw()
{}
