// file : scoresState.h

#ifndef _engine_core_states_scores_h_
#define _engine_core_states_scores_h_

#include "base_state.h"
#include "../../Graphics/Text/font.h"

namespace Core {
	namespace States {

		class cScores : public cBase_state
		{
		public:
			cScores(void* _manager, glm::vec2 _clientSize) : cBase_state(_manager, "score_state", _clientSize) { initialize(); }
			void initialize();
			void shutdown();

			void pause();
			void resume();

			void handleEvents();
			void update(float _deltaTime);
			void drawText();
			void draw();

		private:
			GLuint vao_button;
			GLuint vbo_button;

			Graphics::Text::cFont entryFont;
			Graphics::Text::cFont titleFont;
		};

	}
}

#endif//_engine_core_states_scores_h_
