// file : paddle.h

#ifndef _engine_game_paddle_h_
#define _engine_game_paddle_h_

namespace Game
{
	class cPaddle
	{
	public:
		cPaddle(glm::vec2 _position);

		void update(float _posX, float _posY, float _rotation);
		void draw();

		float     getRotation() { return rotation; }
		glm::vec2 getPosition() { return position; }
		glm::vec2 getVelocity() { return velocity; }

		glm::mat4 getOrientationMatrix() { return matOrientation; }

	private:
		GLuint vao;
		GLuint vbo;

		glm::vec2 position;
		glm::vec2 velocity;

		float  rotation;
		glm::mat4 matOrientation;
	};
}

#endif//_engine_game_paddle_h_
